OpenapiV1PaymentsIdVerify
Verify payment
Verify a payment by linking it to a specific call.
Sets the verification status to "confirmed" and links the payment to the specified call. This is useful for manual payment verification when automatic matching doesn't apply.
Path Parameters
idstring
Payment ID (UUID)
Format
uuidcall_idstring
Call ID to link this payment to
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://api.aura-app.ai/v1/payments/550e8400-e29b-41d4-a716-446655440000/verify" \ -H "Content-Type: application/json" \ -d '{ "call_id": "550e8400-e29b-41d4-a716-446655440000" }'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"organization_id": "string",
"provider": "stripe",
"provider_payment_id": "pi_xxxxx",
"amount": 5000,
"currency": "usd",
"status": "succeeded",
"customer_email": "string",
"customer_name": "string",
"lead_id": "9bddab70-98e6-43a9-8f32-c9788b9de0c0",
"call_id": "0d0a16ab-a508-4d58-bf24-5dc3cb248f3e",
"payment_date": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"verification_status": "confirmed",
"verified_at": "2019-08-24T14:15:22Z",
"stripe_charge_id": "string",
"stripe_customer_id": "string",
"stripe_subscription_id": "string",
"matched_by": "string",
"match_confidence": 0,
"match_candidates": null,
"refund_status": "string",
"refunded_amount": 0,
"refunded_at": "2019-08-24T14:15:22Z",
"stripe_refund_id": "string",
"refund_reason": "string",
"stripe_product_id": "string",
"matched_product_id": "58781463-d64e-401a-ada0-d94ad1295fc2"
}
}{
"success": false,
"error": "Lead not found",
"code": "NOT_FOUND",
"requestId": "req_abc123"
}{
"success": false,
"error": "Lead not found",
"code": "NOT_FOUND",
"requestId": "req_abc123"
}